Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class FeatureSet

    java.lang.Object
      org.openjena.atlas.io.PrintableBase
          com.hp.hpl.jena.sdb.store.FeatureSet

All Implemented Interfaces:
  Iterable<Feature>, org.openjena.atlas.io.Printable

    public class FeatureSet

extends org.openjena.atlas.io.PrintableBase
implements org.openjena.atlas.io.Printable, Iterable<Feature>

A set of features (order retained

Constructor Summary
`FeatureSet()`

Method Summary
`void` | `addFeature(Feature feature)`
`Feature` | `getFeature(String name)`
`List<Feature>` | `getFeatures()`
`boolean` | `hasFeature(Feature feature)`
`boolean` | `hasFeature(String name)`
`Iterator<Feature>` | `iterator()`
`void` | `output(org.openjena.atlas.io.IndentedWriter out)`

Methods inherited from class org.openjena.atlas.io.PrintableBase
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureSet

    public FeatureSet()

Method Detail

### addFeature

    public void addFeature(Feature feature)

### hasFeature

    public boolean hasFeature(Feature feature)

### getFeature

    public Feature getFeature(String name)

### hasFeature

    public boolean hasFeature(String name)

### getFeatures

    public List<Feature> getFeatures()

### iterator

    public Iterator<Feature> iterator()

  Specified by:
    `iterator` in interface `Iterable<Feature>`

### output

    public void output(org.openjena.atlas.io.IndentedWriter out)

  Specified by:
    `output` in interface `org.openjena.atlas.io.Printable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.